namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// 招聘参数配置组(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghrh)]
public class Ghrh_ConfigGroupController : BaseController<IGhrh_ConfigGroupServices, Ghrh_ConfigGroup, Ghrh_ConfigGroupDto, InsertGhrh_ConfigGroupInput, EditGhrh_ConfigGroupInput>
{
    public Ghrh_ConfigGroupController(IGhrh_ConfigGroupServices service) : base(service)
    {
    }

    /// <summary>
    ///  批量更新数据
    /// </summary>
    /// <param name="entitys"></param>
    [HttpPost, Route("BulkUpdateValue")]
    public virtual async Task<ServiceResult> BulkUpdateValue([FromBody] List<Ghrh_ConfigGroupDto> entitys)
    {
        return await _service.BulkUpdateValue(entitys);
    }
}